### Method

# Clutter Timeline set_duration

#### Declaration [src]

    void
    clutter_timeline_set_duration (
      ClutterTimeline* timeline,
      guint msecs
    )

#### Description [src]

Sets the duration of the timeline, in milliseconds. The speed of the timeline depends on the `ClutterTimeline:frame-clock` setting.

Sets property | `Clutter.Timeline:duration`

#### Parameters

`msecs`

  Type: `guint`

  Duration of the timeline in milliseconds.